#ifndef ARGOFRAME_H
#define ARGOFRAME_H
#include <stdio.h>
#include <stdlib.h>
#include <iostream>
#include <string>
#include <fstream>
#include <TGClient.h>
#include <TApplication.h>
#include <TCanvas.h>
#include <TH1.h>
#include <TH2.h>
#include <TGraph.h>
#include <TLine.h>
#include <TPaveText.h>
#include <TGButton.h>
#include <TRootEmbeddedCanvas.h>
#include <TQObject.h>
#include <RQ_OBJECT.h>
#include <TGTableLayout.h>
#include <TGFrame.h>
#include <TGMenu.h>
#include <TGComboBox.h>
#include <TGSlider.h>
#include <TGTextBuffer.h>
#include <TGTextEntry.h>
#include <TGTextView.h>
#include <TDirectory.h>
#include <TSystem.h>
#include <TStyle.h>
#include <TROOT.h>
#include <TThread.h>
#include <TTimer.h>
#include <TVirtualPadEditor.h>
#include "grbevent.h"
#include "event.h"


using namespace std;

class TGWindow;
class TGMainFrame;
class TRootEmbeddedCanvas;
class TThread ;

class ArgoFrame : public TNamed {

  RQ_OBJECT("ArgoFrame");

 private:

  int  _kount ;   // number of event whithin file
  int _nScalers;  // number of scalers in acquisition

  int     fListID[4];
  int     NCLU;
  int     sch;
  double  JINF;
  double  JSUP;
  
  FILE    *fdata;
 
  TGMainFrame            *fMain;
  TGTransientFrame       *fMainWin;
  TGGroupFrame           *fBox, *fPanel;
  TRootEmbeddedCanvas    *fEcanvas, *fEcanWin;
  TGHorizontalFrame      *hframe, *h1frame, *h2frame, *h3frame, *h4frame, 
                         *h5frame, *h6frame, *h7frame, *h8frame, *h9frame, 
                         *h10frame, *h11frame, *h12frame, *h13frame, *h14frame, 
                         *h15frame, *h16frame, *h17frame, *hwinframe;
  TGTextButton           *draw, *exit, *back, *forw, *win;
  TGButton               *fButtonclu[238],*buttlegend[5];
  TGLayoutHints          *Llist, *fBarLayout, *Llegend;
  TGListBox              *flist;
  TGTextView             *filebuffer, *kountbuffer, *message, *legend;
  TGHSlider              *hslider;
  TList                  *fActiveHistos;
  TObject                *hID;
  TThread                *fTh1;

 protected:
  Bool_t mThreadrun;
  

 public:

  ArgoFrame(const TGWindow *p, UInt_t w, UInt_t h);
  virtual ~ArgoFrame();
  ClassDef(ArgoFrame,0);

  void WinFrame(const TGWindow *p, UInt_t w, UInt_t h);
  void riga1(int x, int y, int k,TGHorizontalFrame*);
  void riga2(int x, int y, int k,TGHorizontalFrame*);
  void singolo(int x, int y, int k, TGHorizontalFrame*);
  void DoDraw();
  void DoDraw(int jclu);
  void Forward();
  void Backward();
  void ReadData();
  void Histo(int Reset);
  void CloseMainFrame();
  void CloseWin();
  void CloseWindowCluster();
  void Zoom();
  void Loop();
  static void Thread1(void*arg);
  Bool_t GetThreadRun();
};

#endif //ARGOFRAME_H

